# ZMQSocket::getSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::getSockOpt — Get socket option

### Beschreibung

public ZMQSocket::getSockOpt(string `$key`): mixed

Returns the value of a socket option.

### Parameter-Liste

`key`

  An integer representing the option. See the `ZMQ::SOCKOPT_*` constants.

### Rückgabewerte

Returns either a String or an Integer depending on `key`. Throws ZMQSocketException on error.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open